Summary: Extracts attachments out of mailpack format emails
Name: ripole
Version: 0.2.1
Release: 1%{?dist}
License: BSD
URL: https://pldaniels.com/ripole/
Source0: https://pldaniels.com/ripole/ripole-0.2-dev.tar.gz
Source1: https://launchpad.net/ubuntu/+archive/primary/+sourcefiles/ripole/0.2.0+20081101.0215-4/ripole_0.2.0+20081101.0215-4.debian.tar.xz
Patch100: ripole-0.2-dev-shared.diff
BuildRequires: gcc libtool

%description
ripOLE is a small program/library designed to pull out attachments from OLE2
data files (ie, MS Office documents). ripOLE is BSD licensed meaning that
commercial projects can also use the code without worry of licence costs or
legal liabilities. 

%package -n libripole
Summary: Shared ripole library

%description -n libripole
ripOLE is a small program/library designed to pull out attachments from OLE2
data files (ie, MS Office documents). ripOLE is BSD licensed meaning that
commercial projects can also use the code without worry of licence costs or
legal liabilities.

This package contains the shared ripole library.

%package -n libripole-devel
Summary: Development files for the ripole library
Provides: ripole-devel = %{version}
Requires: libripole >= %{version}

%description -n libripole-devel
ripOLE is a small program/library designed to pull out attachments from OLE2
data files (ie, MS Office documents). ripOLE is BSD licensed meaning that
commercial projects can also use the code without worry of licence costs or
legal liabilities. 

This package contains the development files for ripole.

%prep

%setup -q -n ripole-0.2-dev -a1

patch -p1 < debian/patches/000-Fix_segfault_when_outpath_is_not_set.patch
patch -p1 < debian/patches/fix_dereference.patch
patch -p1 < debian/patches/lowercase_help.patch
patch -p1 < debian/patches/unused_variable.patch

%patch100 -p1

%build
%make_build \
CFLAGS="%{optflags} -I. -fPIC -DPIC -D_REENTRANT" \
    libdir=%{_libdir} LDFLAGS="%{build_ldflags}"

%install
%make_install \
    bindir=%{_bindir} \
    libdir=%{_libdir} \
    includedir=%{_includedir}

find %{buildroot} -name '*.la' -delete
find %{buildroot} -name '*.a' -delete

install -d %{buildroot}%{_mandir}/man1
install -m0644 debian/ripole.1 %{buildroot}%{_mandir}/man1

%files
%{_bindir}/ripole
%{_mandir}/man1/ripole.1*
%doc CHANGELOG CONTRIBUTORS README

%files -n libripole
%{_libdir}/*.so.*
%license LICENSE

%files -n libripole-devel
%doc TODO
%{_includedir}/%{name}/
%{_libdir}/*.so

%changelog
* Sun Jan 28 2024 Oden Eriksson <oe@nux.se> 0.2.1-1
- add fc39

* Sun Sep 04 2022 Oden Eriksson <oe@nux.se> 0.2.1-0.1
- add patches and man page from debian
- use the latest code as of ripole-0.2-dev
- recycle my spec file from mandriva and adapt for rhel
